Change jardir to that specified by Debian Java policy.

--- babel-1.2.0/lib/Makefile.am~	2007-11-02 21:28:08.000000000 +0000
+++ babel-1.2.0/lib/Makefile.am	2008-02-08 04:38:39.000000000 +0000
@@ -41,7 +41,7 @@
 endif
 
 
-jardir = $(prefix)/lib
+jardir = $(datadir)/java
 jar_DATA = $(BABELJAR)						\
 	   $(SIDLJARDATA)
 #	   LICENSE-SAX.html					\
--- babel-1.2.0/lib/Makefile.in~	2007-11-02 21:40:57.000000000 +0000
+++ babel-1.2.0/lib/Makefile.in	2008-02-08 04:39:43.000000000 +0000
@@ -367,7 +367,7 @@
 SIDLJAR = sidl-@VERSION@.jar
 @SUPPORT_JAVA_FALSE@SIDLJARDATA = 
 @SUPPORT_JAVA_TRUE@SIDLJARDATA = $(SIDLJAR)
-jardir = $(prefix)/lib
+jardir = $(datadir)/java
 jar_DATA = $(BABELJAR)						\
 	   $(SIDLJARDATA)
 #	   LICENSE-SAX.html					\
--- babel-1.2.0/runtime/java/Makefile.am~	2007-11-02 21:28:08.000000000 +0000
+++ babel-1.2.0/runtime/java/Makefile.am	2008-02-08 04:44:45.000000000 +0000
@@ -37,7 +37,7 @@
 JARFILE = sidl-$(VERSION).jar
 
 if BABEL_RUNTIME_ONLY
-jardir=$(prefix)/lib
+jardir=$(datadir)/java
 jar_DATA=$(JARFILE)
 endif
 
--- babel-1.2.0/runtime/java/Makefile.in~	2007-11-02 21:41:31.000000000 +0000
+++ babel-1.2.0/runtime/java/Makefile.in	2008-02-08 04:46:23.000000000 +0000
@@ -344,7 +344,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 JARFILE = sidl-$(VERSION).jar
-@BABEL_RUNTIME_ONLY_TRUE@jardir = $(prefix)/lib
+@BABEL_RUNTIME_ONLY_TRUE@jardir = $(datadir)/java
 @BABEL_RUNTIME_ONLY_TRUE@jar_DATA = $(JARFILE)
 JAVAC_FLAGS = -g -d . -source 1.4 -target 1.4
 all: all-am
--- babel-1.2.0/lib/sidlstubs/Java/Makefile.am~	2007-11-02 21:28:08.000000000 +0000
+++ babel-1.2.0/lib/sidlstubs/Java/Makefile.am	2008-02-08 04:48:31.000000000 +0000
@@ -8,7 +8,7 @@
 EXTRA_DIST = babel.make sidlx_babel.make
 AM_CPPFLAGS = -I$(INCLUDEDIR) $(JNI_INCLUDES)
 JAVAC_FLAGS = -g -source 1.4 -target 1.4 -d . -classpath "$(CLASSPATH)"
-jardir=$(prefix)/lib
+jardir=$(datadir)/java
 jar_DATA=sidlstub_$(VERSION).jar
 BABELGEN=$(STUBSRCS) $(STUBHDRS) $(IORHDRS)
 SIDLXGEN=$(sidlx_STUBSRCS) $(sidlx_STUBHDRS) $(sidlx_IORHDRS)
--- babel-1.2.0/lib/sidlstubs/Java/Makefile.in~	2007-11-04 17:45:26.000000000 +0000
+++ babel-1.2.0/lib/sidlstubs/Java/Makefile.in	2008-02-08 04:49:14.000000000 +0000
@@ -453,7 +453,7 @@
 EXTRA_DIST = babel.make sidlx_babel.make
 AM_CPPFLAGS = -I$(INCLUDEDIR) $(JNI_INCLUDES)
 JAVAC_FLAGS = -g -source 1.4 -target 1.4 -d . -classpath "$(CLASSPATH)"
-jardir = $(prefix)/lib
+jardir = $(datadir)/java
 jar_DATA = sidlstub_$(VERSION).jar
 BABELGEN = $(STUBSRCS) $(STUBHDRS) $(IORHDRS)
 SIDLXGEN = $(sidlx_STUBSRCS) $(sidlx_STUBHDRS) $(sidlx_IORHDRS)
--- babel-1.2.0/bin/babel-config.in~	2007-11-02 21:24:01.000000000 +0000
+++ babel-1.2.0/bin/babel-config.in	2008-02-15 19:40:05.000000000 +0000
@@ -31,7 +31,7 @@
 sharedstatedir="@sharedstatedir@"
 localstatedir="@localstatedir@"
 includedir="@includedir@"
-jardir="${prefix}/lib"
+jardir="${datadir}/java"
 repodir="${datadir}/${PACKAGE}-${VERSION}/repository"
 patchdir="${datadir}/${PACKAGE}-${VERSION}/patches"
 revisionfile="${datadir}/${PACKAGE}-${VERSION}/revision.txt"
--- babel-1.2.0/bin/babel.in.bak	2007-11-02 21:24:01.000000000 +0000
+++ babel-1.2.0/bin/babel.in	2008-02-15 19:59:59.000000000 +0000
@@ -115,9 +115,11 @@
 #test if $0 is the same inode as where babel script is installed.
 path2me=$0
 myname=babel
+SYSJARDIR=/usr/share/java
 is_installed="false"
 if samefile ${bindir}/${myname} $path2me; then 
   is_installed="true"
+  BABELJARDIR="${datadir}/java"
   if $verbose; then 
      echo "Just use paths determined at configure time to find jar files..."
   fi
@@ -162,6 +164,7 @@
     exit -1 
   fi 
   cd $PWD_SAVE
+  BABELJARDIR="${prefix}/lib"
 fi
 if $verbose; then 
   echo "  prefix=\"${prefix}\""
@@ -172,13 +175,13 @@
 #
 # Set the CLASSPATH based on the BABEL home directory
 #
-if test -e ${prefix}/lib/${PACKAGE}-${VERSION}.jar; then
+if test -e ${BABELJARDIR}/${PACKAGE}-${VERSION}.jar; then
   if $verbose; then
-    echo "Looking for jar files in \"${prefix}/lib\"...";
+    echo "Looking for jar files in \"${BABELJARDIR}\"...";
   fi
 else 
   echo "ERROR: $0 " >&2
-  echo "   Expected to find ${prefix}/lib/${PACKAGE}-${VERSION}.jar" >&2
+  echo "   Expected to find ${BABELJARDIR}/${PACKAGE}-${VERSION}.jar" >&2
   exit 1
 fi
 
